function [ro,PSV]=vypoc_v(I,f,e,l)

%vlnova delka ve vakuu v mm
lambda0=300/f*1000;

%vlnove cislo
k0=2*pi/lambda0;

%vlnove cislo pro jednotliva prostredi
%s upravou vypoctu pro pripad pocitani s mi
k=k0*sqrt(e);
for i=1:I+1;
	if e(i)<1
		k(i)=k(i)/e(i);
	end
end

%charakteristicka impedance 
Z0=120*pi./sqrt(e);

%impedance na zacatcich jednotlivych vrstev
Z(I+1)=Z0(I+1);
for i=(I):-1:1
	Zvrch=Z0(i)*(cos(k(i)*l(i))+sqrt(-1)*Z0(i)/Z(i+1)*sin(k(i)*(l(i))));
	Zspod=(Z0(i)/Z(i+1)*cos(k(i)*l(i))+sqrt(-1)*sin(k(i)*(l(i))));
	Z(i)=Zvrch/Zspod;
end

%cinitel odrazu na hranicich jednotlivych prostredi
ro(I+1)=0;
for i=I:-1:1
	ro(i)=(Z(i+1)-Z0(i))/(Z(i+1)+Z0(i));
end

%vypocet PSV
PSV(I+1)=1;
for i=I:-1:1
	PSV(i)=(1+abs(ro(i)))/(1-abs(ro(i)));
end